<?xml version="1.0" encoding="utf-8"?>
 <xsl:transform
               xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               xmlns:gml="http://www.opengis.net/gml"
               xmlns:ogc="http://www.opengis.net/ogc"
               xmlns:ogr="http://ogr.maptools.org/"
               xmlns:xpath="http://www.w3.org/2005/02/xpath-functions"
               version="1.0" >
               <xsl:template match="/ogr:FeatureCollection">
                <xsl:variable name="xmin" select="gml:boundedBy/descendant::gml:X[1]"/>
	            <xsl:variable name="ymin" select="gml:boundedBy/descendant::gml:Y[1]"/>
	            <xsl:variable name="xmax" select="gml:boundedBy/descendant::gml:X[last()]"/>
  	            <xsl:variable name="ymax" select="gml:boundedBy/descendant::gml:Y[last()]"/>
  	            <xsl:variable name="dx" select="number($xmax)-number($xmin)"/>
		        <xsl:variable name="dy" select="number($ymax)-number($ymin)"/>
		        <xsl:variable name="extent" select="concat($xmin,' ',$ymin,' ',$dx,' ',$dy)"/>
                <svg width="400px" height="500px" xmlns="http://www.w3.org/2000/svg" viewBox="{$extent}">
                <xsl:for-each select="gml:featureMember">
                   <xsl:variable name="cordinate" select="ogr:*[@fid]/descendant::gml:coordinates"/>
                   <xsl:variable name="x1" select="substring-before($cordinate,',')"/>
                   <xsl:variable name="x2" select="substring-before(substring-after($cordinate,','),',')"/>
                   <circle cx="{$x1}" cy="{$x2}" r="1.1" stroke="black" stroke-width="0.2" fill="#0000FF"/>
               </xsl:for-each>
               </svg>
               </xsl:template>
          </xsl:transform>


