<?xml version="1.0" encoding="utf-8"?>
<xsl:transform 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xlink="http://www.w3.org/1999/xlink"
xmlns:wfs="http://www.opengis.net/wfs"
xmlns:gml="http://www.opengis.net/gml" 
xmlns:ogc="http://www.opengis.net/ogc"
xmlns:GEO="http://geodepot.statcan.ca/tigercan"
xmlns:mrcho="http://www.w3.org/2005/02/xpath-functions"
version="1.0" >
  <xsl:template match="/wfs:FeatureCollection">
		<xsl:variable name="coord" select="gml:boundedBy/descendant::gml:coordinates"/>
		<xsl:variable name="x1" select="substring-before($coord,',')"/>
		<xsl:variable name="y1" select="substring-after(substring-before($coord,' '),',')"/>
		<xsl:variable name="x2" select="substring-before(substring-after($coord,' '),',')"/>
		<xsl:variable name="y2" select="substring-after(substring-after($coord,' '),',')"/>
		<xsl:variable name="xmin" select="$x1 - 2" />
		<xsl:variable name="dx" select="number($x2)-number($x1)" />
		<xsl:variable name="dy" select="number($y2)-number($y1)" />
		<xsl:variable name="ymin" select="(number($y2)) * -1" />
		<xsl:variable name="extent" select="concat($xmin,' ',$ymin,' ',$dx,' ',$dy)" />

		<svg width="500px" height="500px" xmlns="http://www.w3.org/2000/svg" viewBox="{$extent}">
			<g id="layer" transform="scale(1,-1)">
				<xsl:for-each select="gml:featureMember">
					<xsl:variable name="cor" select="GEO:*[@fid]/descendant::gml:coordinates"/>
					<polyline fill="none" stroke="blue" stroke-width="0.01" points="{$cor}" />
				</xsl:for-each>
			</g>
		</svg>
  </xsl:template>
</xsl:transform>
