<?xml version="1.0" encoding="utf-8"?>
<xsl:transform 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:gml="http://www.opengis.net/gml" 
    xmlns:ogr="http://ogr.maptools.org/"
    xmlns:m="http://ogr.maptools.org/" version="1.0" >
   
<xsl:template match="/ogr:FeatureCollection">

<kml xmlns="http://earth.google.com/kml/2.0">

  <Document>

<!-- POPIS -->
  <name>SvahDef_body</name>
  <description>Bodová vrstva svahových zosuvov v MSK transformovaná z GML do KML</description>
    
<!-- STYL ZOBRAZENIA -->
    <Style id="FEATURES">
      <IconStyle>
        <color>FF00AAFF</color>
        <scale>0.666666666666667</scale>
        <Icon>
          <href>root://icons/palette-4.png</href>
          <x>32</x>
          <y>128</y>
          <w>32</w>
          <h>32</h>
        </Icon>
      </IconStyle>
      <LabelStyle>
        <color>00FFFFFF</color>
      </LabelStyle>
    </Style>
    <Style id="FEATURES_LABELS">
      <IconStyle>
        <color>00000000</color>
        <Icon>
          <href>root://icons/palette-4.png</href>
          <x>32</x>
          <y>128</y>
          <w>32</w>
          <h>32</h>
        </Icon>
      </IconStyle>
      <LabelStyle>
        <color>FFFFFFFF</color>
      </LabelStyle>
    </Style>

    <Folder>
    <name>Features</name>
    <xsl:for-each select="gml:featureMember/m:SvahDef_body">
  
  <!-- VLASTNOSTI JEDNOTLIVYCH PRVKOV -->
      <Placemark>
        <name><xsl:value-of select="m:ID1"/></name>
        <description><xsl:text>Id zosuvu:</xsl:text><xsl:value-of select="m:ID1"/><xsl:text>&#xa;</xsl:text>
                     <xsl:text>Aktivita zosuvu:</xsl:text><xsl:value-of select="m:AKTIVITA"/>
        </description>
        <styleUrl>#FEATURES</styleUrl>
        <Point>
          <extrude>0</extrude>
          <altitudeMode>clampedToGround</altitudeMode>
          <xsl:variable name="xy" select="ogr:geometryProperty/gml:Point/gml:coordinates"/>
          <coordinates>
               <xsl:value-of select="$xy"/>
          </coordinates>
        </Point>
      </Placemark>

    </xsl:for-each>   
    </Folder>
  </Document>
</kml>
</xsl:template>
</xsl:transform>