<?xml version="1.0" encoding="utf-8"?>
<xsl:transform 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:gml="http://www.opengis.net/gml" 
xmlns:ogr="http://ogr.maptools.org/"
xmlns:vrstva="http://ogr.maptools.org/"
version="1.0" >
<!-- definice sablony, korenovy element je org:FeatureCollection -->
<xsl:template match="/ogr:FeatureCollection">
<!-- definice promennych -->
	<xsl:variable name="xmin" select="gml:boundedBy/descendant::gml:X[1]"/>
	<xsl:variable name="ymin" select="gml:boundedBy/descendant::gml:Y[1]"/>
	<xsl:variable name="xmax" select="gml:boundedBy/descendant::gml:X[2]"/>
	<xsl:variable name="ymax" select="gml:boundedBy/descendant::gml:Y[2]"/>
	<xsl:variable name="dy" select="number($ymin) * -1" /> 
  	<xsl:variable name="dx1" select="number($xmax)-number($xmin)" />
 	<xsl:variable name="dx2" select="number($ymax)-number($ymin)" />
  	<xsl:variable name="extent" select="concat($xmin - 200000,' ',$dy ,' ',$dx1 + 1000000,' ',$dx2)" /> 
  <svg width="1000px" height="1000px" xmlns="http://www.w3.org/2000/svg" viewBox="{$extent}">
   <g id="layer" transform="scale(1,-1)">
    <xsl:for-each select="gml:featureMember">
     <xsl:variable name="cor" select="ogr:*[@fid]/descendant::gml:coordinates" /> 
     <polygon fill="green" stroke="black" stroke-width="1000" points="{$cor}"/>
    </xsl:for-each>
   </g>  
  </svg>
 </xsl:template>
</xsl:transform>


