<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:ogr="http://ogr.maptools.org/"
xmlns:gml="http://www.opengis.net/gml"
xmlns:vrstva="http://ogr.maptools.org/">

	<xsl:output method="xml" version="1.0" encoding="utf-8" indent="yes" cdata-section-elements="description Snippet" media-type="application/vnd.google-earth.kml+xml"/>

	<xsl:template match="/ogr:FeatureCollection">
 	<kml xmlns="http://earth.google.com/kml/2.0">
			<Document>
				<name>mista</name>
				<description>Transformace z GML do KML</description>
				<Style id="MUJ_STYL">
                         <IconStyle>
                           <color>FF00AAFF</color>
                           <scale>1</scale>
                           <Icon>
                              <href>root://icons/palette-3.png</href>
                              <x>96</x>
                              <y>160</y>
                              <w>32</w>
                              <h>32</h>
                           </Icon>
                         </IconStyle>
                         <LabelStyle>
                              <color>ff00ffff</color>
                         </LabelStyle>
                </Style>
               	<Folder>
				<xsl:for-each select="gml:featureMember/vrstva:placept">
                    <Placemark>
                  	     <name><xsl:value-of select="vrstva:NAME"/></name>
                         <description>
                              <xsl:text>PACEL_ID</xsl:text><xsl:value-of select="vrstva:PACEL_ID"/><xsl:text>&#xa;</xsl:text>
                         </description>
                         <styleUrl>#MUJ_STYL</styleUrl>
                              <Point>
                                     <extrude>0</extrude>
                                     <altitudeMode>clampedToGround</altitudeMode>
                                         <xsl:variable name="coord" select="ogr:geometryProperty/gml:Point/gml:coordinates"/>
                                         <coordinates>
                                              <xsl:value-of select="$coord"/>
                                         </coordinates>
                              </Point>
                         </Placemark>
				</xsl:for-each>
				</Folder>
			</Document>
		</kml>
	</xsl:template>
</xsl:stylesheet>