﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:neis="http://neic.usgs.gov/neis" 
xmlns:xlink="http://www.w3.org/1999/xlink" 
xmlns:gml="http://www.opengis.net/gml" 
version="1.0">


<!--<xsl:output method="html" encoding="utf-8"/>-->

<xsl:variable name="celkem" select="count(/neis:NearRealTimeEarthquakes/gml:featureMember/neis:Earthquake/gml:name)"/>

<xsl:template match="/neis:NearRealTimeEarthquakes">
  <html>
    <head>
			<meta http-equiv="content-type" content="text/html; charset=utf-8" />
			<meta http-equiv="content-language" content="cs" />
			<title><xsl:value-of select="gml:name"/></title>
			<meta name="author" content="Tomáš Minarčík"/>
			<link href="./style.css" rel="stylesheet" type="text/css" media="screen" />
			<script language="JavaScript" type="text/javascript" src="./script.js"></script>
    </head>
		<body>

			<div id="stranka">
				<div class="rbroundbox" id="levy">
					<div class="rbtop"><div></div></div>
						<div class="rbcontent">
							<ul id="menu">
								<strong>Poloha</strong>
								<xsl:apply-templates select="gml:featureMember" mode="levy"/>
							</ul>
						</div>
					<div class="rbbot"><div></div></div>
				</div>
				<div id="telo">
					<div class="rbroundboxo" id="nadpis">
						<div class="rbtopo"><div></div></div>
							<div class="rbcontento">
								<h1>Světová zemětřesení</h1>
								
							</div>
						<div class="rbboto"><div></div></div>
					</div>
					<div class="rbroundboxm" id="pravy">
						<div class="rbtopm"><div></div></div>
							<div class="rbcontentm" id="tab_start">
									
									<h2>... zvolte polohu ...</h2>
									
									
									
							</div>
							<xsl:apply-templates select="gml:featureMember" mode="pravy"/>
						<div class="rbbotm"><div></div></div>
					</div>
						
					<div class="rbroundboxb" id="logo">
						<div class="rbtopb"><div></div></div>
							<div class="rbcontentb">
							</div>
						<div class="rbbotb"><div></div></div>
					</div>
					
					
				</div>
									<div class="rbroundboxg" id="mapa">
						<div class="rbtopg"><div></div></div>
							<div class="rbcontentg" id="mapa_svg">
								<embed id="mojeSVG" src="./svg/mapa.svg" width="682" height="462" type="image/svg+xml" pluginspage="http://www.adobe.com/svg/viewer/install/" />
							</div>
						<div class="rbbotg"><div></div></div>
					</div>
			</div>
		</body>
  </html>
</xsl:template>

<xsl:template match="neis:Earthquake" mode="levy">
	<xsl:param name="n" select="gml:name"/>
	<xsl:param name="x" select="gml:location/gml:Point/gml:coord/gml:X"/>
	<xsl:param name="y" select="gml:location/gml:Point/gml:coord/gml:Y"/>
	<xsl:apply-templates select="gml:description" mode="levy">
			<xsl:with-param name="n" select="$n"/>
			<xsl:with-param name="x" select="$x"/>
			<xsl:with-param name="y" select="$y"/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="neis:Earthquake" mode="pravy">
<xsl:param name="n" select="gml:name"/>
<div id="tab{$n}" class="viditelny">
<table>
	<xsl:apply-templates select="gml:description|gml:location/gml:Point/gml:coord/gml:X|gml:location/gml:Point/gml:coord/gml:Y|neis:datetime|neis:depthkm|neis:magnitude|neis:q" mode="pravy"/>
</table>
</div>


</xsl:template>


<xsl:template match="gml:description" mode="levy">
	<xsl:param name="n"/>
	<xsl:param name="x"/>
	<xsl:param name="y"/>
	<li><a href="#" onclick="zobraz({$n},{$celkem},{$x},{$y})"><xsl:apply-templates/></a></li>
</xsl:template>


<xsl:template match="gml:description" mode="pravy">
	<tr><td><strong>Poloha: </strong></td>
	<td><xsl:apply-templates/></td></tr>
	
</xsl:template>

<xsl:template match="gml:location/gml:Point/gml:coord/gml:X" mode="pravy">
	<tr><td><strong>Souřadnice X: </strong></td>
	<td><xsl:apply-templates/></td></tr>
</xsl:template>

<xsl:template match="gml:location/gml:Point/gml:coord/gml:Y" mode="pravy">
	<tr><td><strong>Souřadnice Y: </strong></td>
	<td><xsl:apply-templates/></td></tr>
</xsl:template>

<xsl:template match="neis:datetime" mode="pravy">
	<tr><td><strong>Datum a čas: </strong></td>
	<td><xsl:apply-templates/></td></tr>
</xsl:template>

<xsl:template match="neis:depthkm" mode="pravy">
	<tr><td><strong>Hloubka: </strong></td>
	<td><xsl:apply-templates/> Km</td></tr>
</xsl:template>

<xsl:template match="neis:magnitude" mode="pravy">
	<tr><td><strong>Magnituda: </strong></td>
	<td><xsl:apply-templates/></td></tr>
</xsl:template>

<xsl:template match="neis:q" mode="pravy">
	<tr><td><strong>q: </strong></td>
	<td><xsl:apply-templates/></td></tr>
</xsl:template>


</xsl:stylesheet>