<?xml version="1.0" encoding="utf-8"?>
<xsl:transform 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:gml="http://www.opengis.net/gml" 
    xmlns:ogr="http://ogr.maptools.org/"
    xmlns:map="http://ogr.maptools.org/"
   version="1.0" >
   
<xsl:template match="/ogr:FeatureCollection">
<kml xmlns="http://earth.google.com/kml/2.0">

<Document>

<!-- DESCRIPTION -->
  <name>                        <!-- nazev  -->
    <xsl:text>Vazena teziste pocty pristehovalych do MKS</xsl:text>
  </name>         
  <description>                 <!-- popis  -->
    <xsl:text>Bodova vrstva geografickych tezist v MSK, vazenych pocty pristehovalych, transformovane GML do KML</xsl:text>
  </description>        
    
<!-- STYLE OF DISPLAY FOR POINTS - popisuje styl zobrazeni jednotlivych bodu, ktere reprezentuji jednotliva teziste -->
    <Style id="FEATURES">
      <IconStyle>          <!-- styl pro ikony -->
        <color>ed7f0055</color>
        <colorMode>normal</colorMode>
        <scale>1.0</scale>
        <Icon>
            <href>root://icons/palette-4.png</href>
            <w>32</w>
            <h>32</h>
        </Icon>
      </IconStyle>
    </Style>
    
<!-- STYLE OF DISPLAY FOR LABELS - popisuje styl zobrazeni jednotlivych popisku -->
    <Style id="FEATURES_LABELS">    
      <IconStyle>          
        <color>FFFFFFFF</color>
        <colorMode>normal</colorMode>
        <Icon>
            <href>root://icons/palette-4.png</href>
            <w>32</w>
            <h>32</h>
        </Icon>
      </IconStyle>
    </Style>

    <Folder>
    <name>
        <xsl:text>Jednotliva teziste</xsl:text>
    </name>
    <xsl:for-each select="gml:featureMember/map:sp_mean1992_2005">
  
  <!-- PROPERTIES OF POINTS -->
      <Placemark>           <!-- vlastni tranformace -->
        <name>
            <xsl:value-of select="map:ID"/>
        </name>
        <description>
            <xsl:text>Rok:</xsl:text><xsl:value-of select="map:ID"/><xsl:text>&#xa;</xsl:text><br/>
            <xsl:text>Souradnice teziste:</xsl:text><xsl:value-of select="ogr:geometryProperty/gml:Point/gml:coordinates"/><xsl:text>&#xa;</xsl:text>
        </description>
        <styleUrl>#FEATURES</styleUrl>
        <Point>
          <extrude>0</extrude>
          <altitudeMode>clampedToGround</altitudeMode>
          <xsl:variable name="souradnice" select="ogr:geometryProperty/gml:Point/gml:coordinates"/>
          <coordinates>
               <xsl:value-of select="$souradnice"/>
          </coordinates>
        </Point>
      </Placemark>
    </xsl:for-each>   
    </Folder>
</Document>
</kml>
</xsl:template>
</xsl:transform>